com.hazelcast.quorum

## Enum QuorumType

- java.lang.Object
- - java.lang.Enum<QuorumType>
  - - com.hazelcast.quorum.QuorumType

- All Implemented Interfaces:
    Serializable, Comparable<QuorumType>

      public enum QuorumType
      extends Enum<QuorumType>

  Represents a cluster quorum type

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `READ` Only read operations will participate in a quorum.
    `READ_WRITE` Both read and write operations will participate in a quorum.
    `WRITE` Only write operations will participate in a quorum.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QuorumType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static QuorumType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READ

          public static final QuorumType READ

      Only read operations will participate in a quorum.

    - #### WRITE

          public static final QuorumType WRITE

      Only write operations will participate in a quorum.

    - #### READ_WRITE

          public static final QuorumType READ_WRITE

      Both read and write operations will participate in a quorum.

  - ### Method Detail

    - #### values

          public static QuorumType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QuorumType c : QuorumType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QuorumType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2020. All rights reserved.